DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS
API·REFERENCE·SKILLS·GET·GENERATED

Get a skill

GET
/skills/{id}
SCOPE:skills:read

Get a skill

Authentication

Requires API key with skills:read scope.

Path parameters

NameTypeDescription
idUUIDPath parameter.

Request

(no body)

Response — 200 OK

{
  "id": "00000000-0000-0000-0000-000000000000",
  "alias_id": "example",
  "name": "example",
  "description": "example",
  "updated_at": "2026-01-01T00:00:00.000Z",
  "content_text": "example",
  "linked_entities": null,
  "created_at": "2026-01-01T00:00:00.000Z"
}

Errors

StatusCodeWhen
401unauthorizedMissing or invalid API key.
403forbiddenAPI key lacks required scope.
404not_foundResource not found.
429rate_limitedToken bucket exhausted.

Code samples

curl https://api.onnie.ai/api/public/v1/skills/00000000-0000-0000-0000-000000000000 \
  -H 'Authorization: Bearer onn_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2'
const response = await fetch('/skills/00000000-0000-0000-0000-000000000000', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer onn_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2',
  },
})
const data = await response.json()
{
  "server": "onnie",
  "name": "getSkill",
  "description": "GET /skills/{id}"
}